<?php
/**
 * @package    RSDirectory!
 * @copyright  (c) 2013 - 2021 RSJoomla!
 * @link       https://www.rsjoomla.com
 * @license    GNU General Public License http://www.gnu.org/licenses/gpl-3.0.en.html
 */

defined('_JEXEC') or die;

/**
 * Class RSFormProMollie
 */
class RSDirectoryMollie
{

	/**
	 * @var array
	 */
	public $banks;
	/**
	 * @var Mollie_API_Client
	 */
	public $sale;

	/**
	 * @var array
	 */
	public $args = array();

	/**
	 * @return RSDirectoryMollie
	 */
	public static function getInstance($params = null)
	{
		static $inst;
		if (!$inst)
		{
			$inst = new RSDirectoryMollie($params);
		}

		return $inst;
	}

	/**
	 * RSFormProMollie constructor.
	 */
	public function __construct($params)
	{
		if (is_null($params))
		{
			return;
		}
		require_once JPATH_ADMINISTRATOR . '/components/com_rsdirectory/helpers/iDEAL/Mollie/vendor/autoload.php';

		$apikey = $params->get('mode') ? $params->get('mollieapi', '') : $params->get('mollieapi_test', '');

		$sale = new \Mollie\Api\MollieApiClient;
		$sale->setApiKey($apikey);

		$banks = array();
		
		if ($method = $sale->methods->get(\Mollie\Api\Types\PaymentMethod::IDEAL, array('include' => 'issuers')))
		{
			foreach ($method->issuers() as $issuer)
			{
				$banks[] = array('id' => $issuer->id, 'name' => $issuer->name);
			}
		}

		$this->banks = $banks;
		$this->sale  = $sale;
	}

}