<?php
/**
 * @package RSDirectory!
 * @copyright (C) 2014-2021 www.rsjoomla.com
 * @license GPL, http://www.gnu.org/copyleft/gpl.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

/**
 * RSDirectory! Map Search Module Helper.
 */
abstract class RSDirectoryMapSearchHelper {
    /**
     * Get categories options.
     *
     * @access public
     *
     * @static
     *
     * @param array $categories
     * @param int $level
     *
     * @return array
     */
	public static function outputCategoriesList($categories, $level = 0) {
		static $output = '';

		if (empty($categories))
			return;
			
		foreach ($categories as $category) {
			if (!$category->published)
				continue;
			$output .= '<li><a'.(RSDirectoryHelper::isJ4() ? ' class="dropdown-item"' : '').' href="javascript: void(0);" data-value="'.$category->id.'" data-text="'. RSDirectoryHelper::escapeHTML($category->title).'">'.str_repeat('- ', $level) . ' ' . RSDirectoryHelper::escapeHTML($category->title).'</a></li>';

			if ($subcategories = $category->getChildren()) {
				self::outputCategoriesList($subcategories, $level + 1);
			}
		}

		return $output;
    }
}