jQuery.noConflict();

var MosetsTreeImportFormData;

// request intervals
var startRequest;
var measureRequest;
var importRequest;

// define ajax request interval
var Request = {
	TimeOut : 0,
	Milliseconds : function() {
		var seconds = parseFloat(this.TimeOut);
		if (isNaN(seconds)) {
			seconds = 0;
		}
		return seconds * 1000;
	}
};

/**
 * Measure import data.
 */
function measureImport()
{
    addLog( document.getElementById('import-log'), Joomla.JText._('COM_RSDIRECTORY_IMPORT_MEASURING_DATA'), RSDirectoryAdminConstants.table_info, 'import-msg-data-measuring' );
        
	var tools = jQuery('#tools');
    var import_tab = jQuery('#import');
    var import_start = jQuery('#import-start');
    var import_stop = jQuery('#import-stop');
    var jqxhr = false;
        
    // Set the import action.
    updateValue(MosetsTreeImportFormData, 'jform[import_action]', 'measure');
        
    jqxhr = jQuery.ajax(
    {
        type: 'POST',
        url: rsdir.base + 'index.php?option=com_rsdirectory&tmpl=component&random=' + Math.random(),
        data: MosetsTreeImportFormData,
        dataType: 'json',
        success: function(response)
        {
            // Add messages.
            if (response.messages != undefined)
            {
                jQuery(response.messages).each(function(index, element)
                {
                    addLog( document.getElementById('import-log'), element['message'], RSDirectoryAdminConstants['table_'+element['type']], element['id'] );
                });
            }
                
            if (response.action == 'import')
            {
				measureRequest = setTimeout(function(){importMosetsTreeProcess(response.section)}, Request.Milliseconds());
            }
            else
            {
                abortImport( Joomla.JText._('COM_RSDIRECTORY_IMPORT_ABORTED') );
            }
        },
    });
        
    // Set the stop button click event.
	import_stop.off('click').on('click', function(e)
	{
		// Prevent default action.
		e.preventDefault();
            
        addLog( document.getElementById('import-log'), Joomla.JText._('COM_RSDIRECTORY_IMPORT_ABORTED_ON_USER_REQUEST'), RSDirectoryAdminConstants.table_error );
			
		jqxhr.abort();
			
		// Hide the stop button.
		import_stop.addClass('hide');
			
		// Show the start button.
		import_start.removeClass('hide');
			
		// Unbind the click event.
		import_stop.off('click');
			
		// Enable form elements.
		import_tab.find(':input').attr('disabled', false);
	});
}

/**
 * Import.
 */
function importMosetsTreeProcess(section, section_offset, offset, processed_forms)
{
    if (!section_offset)
    {
        section_offset = 0;
    }
        
    if (!offset)
    {
        offset = 0;
    }
        
    var tools = jQuery('#tools');
	var import_tab = jQuery('#import');
	var progress = import_tab.find('.progress');

	var is_j4 = import_tab.find('.progress-bar').length;
	var progress_bar = is_j4 ? import_tab.find('.progress-bar') : progress.find('.bar');
	var progress_label = is_j4 ? progress_bar : import_tab.find('.progress-label');

	var import_start = jQuery('#import-start');
	var import_stop = jQuery('#import-stop');
	var jqxhr = false;
        
    // Set the import action.
	updateValue(MosetsTreeImportFormData, 'jform[import_action]', 'import');
        
    updateValue(MosetsTreeImportFormData, 'jform[mosetstree][section]', section);
    updateValue(MosetsTreeImportFormData, 'jform[mosetstree][section_offset]', section_offset);
    updateValue(MosetsTreeImportFormData, 'jform[mosetstree][offset]', offset);

	if (processed_forms) {
		updateValue(MosetsTreeImportFormData, 'jform[mosetstree][processed_forms]', processed_forms);
	}
        
    jqxhr = jQuery.ajax(
    {
        type: 'POST',
        url: rsdir.base + 'index.php?option=com_rsdirectory&tmpl=component&random=' + Math.random(),
        data: MosetsTreeImportFormData,
        dataType: 'json',
        success: function(response)
        {
            // Add messages.
            if (response.messages != undefined)
            {
                jQuery(response.messages).each(function(index, element)
                {
                    addLog( document.getElementById('import-log'), element['message'], RSDirectoryAdminConstants['table_'+element['type']], element['id'] );
                });
            }
                
            if (response.action == 'import')
            {
				importRequest = setTimeout(function(){importMosetsTreeProcess(response.section, response.section_progress, response.progress, (typeof response.processed_forms != 'undefined' ? response.processed_forms : false))}, Request.Milliseconds());
            }
            else if (response.action == 'done')
            {
                import_stop.click();

				if (is_j4)
				{
					progress_bar.removeClass('progress-bar-striped');
					progress_bar.removeClass('bg-danger').addClass('bg-success');
				}
				else
				{
					progress.removeClass('progress-striped active');
					progress_bar.removeClass('bar-danger').addClass('bar-success');
				}
                    
                // Enable form elements.
                import_tab.find(':input').attr('disabled', false);
                    
                addLog( document.getElementById('import-log'), Joomla.JText._('COM_RSDIRECTORY_IMPORT_SUCCESSFUL'), RSDirectoryAdminConstants.table_success );
            }
            else
            {
                abortImport( Joomla.JText._('COM_RSDIRECTORY_IMPORT_ABORTED') );
                return;
            }
                
            progress_bar.css('width', response.completition + '%');
            progress_label.html(response.completition + '% ' + response.progress + '/' + response.total);
        },
    });
        
    // Set the stop button click event.
    import_stop.off('click').on('click', function(e)
    {
        // Prevent default action.
        e.preventDefault();	
            
        jqxhr.abort();
		
            
        // Hide the stop button.
        import_stop.addClass('hide');
            
        // Show the start button.
        import_start.removeClass('hide');

		if (is_j4)
		{
			progress_bar.removeClass('progress-bar-striped');
			progress_bar.addClass('bg-danger');
		}
		else
		{
			progress.removeClass('progress-striped active');
			progress_bar.addClass('bar-danger');
		}
            
        // Unbind the click event.
        import_stop.off('click');
            
        // Enable form elements.
        import_tab.find(':input').attr('disabled', false);
    });
}
	
jQuery(function($)
{
	var tools = $('#tools');
		
	var import_tab = $('#import');
    var import_from = import_tab.find(':input[name="jform[import_from]"]');
    var import_start = $('#import-start');
    var import_stop = $('#import-stop');
    var import_log = document.getElementById('import-log');

	var pce = $('#jform_mosetstree_pce');
	var pce_rsdirectory_category = $('#jform_mosetstree_pce_rsdirectory_category');
	var pce_mosetstree_category = $('#jform_mosetstree_pce_mosetstree_category');
	var mce = $('#jform_mosetstree_mce');
	var mce_rsdirectory_category = $('#jform_mosetstree_mce_rsdirectory_category');
	var mce_mosetstree_category = $('#jform_mosetstree_mce_mosetstree_category');

		
	import_start.click( function(e)
    {
        e.preventDefault();
			
		if ( import_from.filter(':checked').val() != 'mosetstree' )
			return;
			
		var req_error = false;
			
		if (pce.length && pce.parent().parent().css('display') != 'none'  )
		{
			if ( pce.val() == '' )
			{
				pce.parents('.control-group').addClass('error');
				req_error = true;
			}
				
			if ( pce.val() == 'rsdirectory_category' && pce_rsdirectory_category.val() == '' )
			{
				pce_rsdirectory_category.parents('.control-group').addClass('error');
				req_error = true;
			}
				
			if ( pce.val() == 'mosetstree_category' && pce_mosetstree_category.val() == '' )
			{
				pce_mosetstree_category.parents('.control-group').addClass('error');
				req_error = true;
			}
		}
			
		if ( mce.length && mce.parent().parent().css('display') != 'none' )
		{
			if ( mce.val() == '' )
			{
				mce.parents('.control-group').addClass('error');
				req_error = true;
			}
				
			if ( mce.val() == 'rsdirectory_category' && mce_rsdirectory_category.val() == '' )
			{
				mce_rsdirectory_category.parents('.control-group').addClass('error');
				req_error = true;
			}
				
			if ( mce.val() == 'mosetstree_category' && mce_mosetstree_category.val() == '' )
			{
				mce_mosetstree_category.parents('.control-group').addClass('error');
				req_error = true;
			}
		}
			
		if (req_error)
		{
			alert( Joomla.JText._('PLG_RSDIRECTORY_IMPORTMOSETSTREE_REQUIRED_FIELDS_ERROR') );
			return false;
		}
		
		// se te request ajax interval
        Request.TimeOut = jQuery('#jform_mosetstree_request_timeout').val();
            
        // Get the progress bar wrapper.
        var progress = import_tab.find('.progress');
            
        progress.addClass('progress-striped active');


		var is_j4 = import_tab.find('.progress-bar').length;
        // Get the progress bar.
		var progress_bar = is_j4 ? import_tab.find('.progress-bar') : import_tab.find('.bar');

		if (is_j4)
		{
			progress_bar.removeClass('bg-success bg-danger');
		}
		else
		{
			progress_bar.removeClass('bar-success bar-danger');
		}

        progress_bar.css('width', 0);
			
		// Clear import log.
		clearLog(import_log);
			
		// Hide the start button.
		import_start.addClass('hide');
			
		// Show the stop button.
		import_stop.removeClass('hide');
			
        // Get form data.
        MosetsTreeImportFormData = tools.serializeArray();
            
        // Set the task.
        updateValue(MosetsTreeImportFormData, 'task', 'tools.import');
			
		// Set the import action.
		updateValue(MosetsTreeImportFormData, 'jform[import_action]', 'verify');
			
		var jqxhr = $.ajax(
		{
			type: 'POST',
			dataType: 'JSON',
			url: rsdir.base + 'index.php?option=com_rsdirectory&random=' + Math.random(),
			data: MosetsTreeImportFormData,
			beforeSend: function(xhr)
			{
				// Disable form elements.
				import_tab.find(':input').not(import_stop).attr('disabled', true);
                    
                addLog( import_log, Joomla.JText._('COM_RSDIRECTORY_IMPORT_RUNNING_VERIFICATION') );
			},
			success: function(json)
			{
				if (json.messages != undefined)
				{
					$(json.messages).each(function(index, element)
					{
						addLog(import_log, element['message'], RSDirectoryAdminConstants['table_'+element['type']]);
					});
				}
					
				if (json.action == 'measure')
				{		
					startRequest = setTimeout(function(){measureImport(MosetsTreeImportFormData)}, Request.Milliseconds());
				}
				else
				{
					abortImport( Joomla.JText._('COM_RSDIRECTORY_IMPORT_ABORTED') );
				}
			}
		});
			
        // Set the stop button click event.
        import_stop.off('click').on('click', function(e)
        {
            // Prevent default action.
            e.preventDefault();
                
            addLog( document.getElementById('import-log'), Joomla.JText._('COM_RSDIRECTORY_IMPORT_ABORTED_ON_USER_REQUEST'), RSDirectoryAdminConstants.table_error );
				
            jqxhr.abort();
			clearTimeout(startRequest);
			clearTimeout(measureRequest);
			clearTimeout(importRequest);
                
            // Show the start button.
            import_start.removeClass('hide');
                
            // Hide the stop button.
            $(this).addClass('hide');
                
            // Enable form elements.
            import_tab.find(':input').attr('disabled', false);
        });
    });
});