<?php
/**
 * @package RSDirectory!
 * @copyright (C) 2013-2021 www.rsjoomla.com
 * @license GPL, http://www.gnu.org/copyleft/gpl.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

if ( !file_exists(JPATH_ADMINISTRATOR . '/components/com_rsdirectory/helpers/rsdirectory.php') || !file_exists(JPATH_ADMINISTRATOR . '/components/com_rsdirectory/helpers/route.php'))
    return;

require_once JPATH_ADMINISTRATOR . '/components/com_rsdirectory/helpers/rsdirectory.php';
require_once JPATH_ADMINISTRATOR . '/components/com_rsdirectory/helpers/route.php';
require_once dirname(__FILE__) . '/helper.php';

// Get categories
$helper 	= new RSDirectoryCategoriesHelper($params);
$categories = $helper->getCategories();

if (!$categories) {
	JFactory::getApplication()->enqueueMessage(JText::_('MOD_RSDIRECTORY_CATEGORIES_ERROR'), 'error');
    return;
}

// Params
$moduleclass_sfx 	 = $params->get('moduleclass_sfx', '');
$custom_item_id		 = $params->get('custom_item_id');
$show_thumbnails	 = $params->get('show_thumbnails', 0);
$only_with_entries	 = $params->get('only_with_entries', 0);
$show_number_entries = $params->get('show_number_entries', 1);

$selected_categories = $helper->selected_categories;

if (empty($selected_categories) || in_array(0, $selected_categories)) {
	$selected_categories = array();
}

// Load language.
JFactory::getLanguage()->load('com_rsdirectory');

JHtml::_('stylesheet', 'mod_rsdirectory_categories/style.css', array('relative' => true, 'version' => 'auto'));

require JModuleHelper::getLayoutPath('mod_rsdirectory_categories', $params->get('layout', 'default'));