<?php
/**
 * @package RSDirectory!
 * @copyright (C) 2013-2021 www.rsjoomla.com
 * @license GPL, http://www.gnu.org/copyleft/gpl.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

if ( !file_exists(JPATH_ADMINISTRATOR . '/components/com_rsdirectory/helpers/rsdirectory.php') )
    return;

require_once JPATH_ADMINISTRATOR . '/components/com_rsdirectory/helpers/rsdirectory.php';
require_once JPATH_ADMINISTRATOR . '/components/com_rsdirectory/helpers/filter.php';
require_once JPATH_ADMINISTRATOR . '/components/com_rsdirectory/helpers/chosen.php';
require_once dirname(__FILE__) . '/helper.php';

// Get mainframe.
$app	= JFactory::getApplication();

// Get the JInput object.
$jinput	= $app->input;

$menu	= $app->getMenu();
$active	= $menu->getActive();

// Restrict the module only to the entries page.
if ($jinput->get('view') != 'entries' && $jinput->get('view') != 'myentries') return;

// Load language.
$lang	= JFactory::getLanguage();
$lang->load('com_rsdirectory');

// Get the custom itemid.
$itemid = $params->get('itemid');
$current_view = $jinput->get('view', 'entries');


JHtml::_('stylesheet', 'mod_rsdirectory_filtering/style.css', array('relative' => true, 'version' => 'auto'));
if (RSDirectoryHelper::isJ4())
{
	JHtml::_('stylesheet', 'mod_rsdirectory_filtering/style40.css', array('relative' => true, 'version' => 'auto'));
}
JHtml::_('script', 'mod_rsdirectory_filtering/script.js', array('relative' => true, 'version' => 'auto'));

// Are we using ratings
$show_ratings = $params->get('show_ratings', 0);

$menuitem_params = $app->getParams();

if ($params->get('show_categories')) {
    // Get categories.
    $categories_list = RSDirectoryFilteringHelper::getCategories($menuitem_params->get('featured_categories',  array()));
}

// Initialize the featured categories array.
$featured_categories = array();

// Get categories filter.
$categories = $jinput->get('categories', array(''), 'array');

// if a category is displayed
$category = (int) $jinput->get('category', '');

if (!empty($category)) {
	$categories[] = (string)$category;
}

if ($categories) {
    $featured_categories = RSDirectoryHelper::arrayInt($categories);
}

if (!$featured_categories && $menuitem_params->get('featured_categories')) {
    foreach ($menuitem_params->get('featured_categories') as $category) {
		// Reset the featured categories array if the category is 0 or '' ("All categories" is selected) as this will make the getFilterFields to use all the available categories.
		if (!$category) {
			$featured_categories = array();
			break;
		}
		$featured_categories[] = $category;
    }
}

$status		= $jinput->get('status', array(0, 1), 'array');
$ratings	= $jinput->get('ratings', array(), 'array');
$fields		= RSDirectoryHelper::getFilterFields($featured_categories);
$options	= array(
	'more' => $params->get('more'),
);

if ($params->get('more')) {
	JText::script('COM_RSDIRECTORY_SHOW_MORE');
	JText::script('COM_RSDIRECTORY_SHOW_LESS');
}
	
require JModuleHelper::getLayoutPath('mod_rsdirectory_filtering', $params->get('layout', 'default'));