<?php
/**
 * @package RSDirectory!
 * @copyright (C) 2013-2021 www.rsjoomla.com
 * @license GPL, http://www.gnu.org/copyleft/gpl.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

if (!file_exists(JPATH_ADMINISTRATOR . '/components/com_rsdirectory/helpers/rsdirectory.php')) return;

require_once JPATH_ADMINISTRATOR . '/components/com_rsdirectory/helpers/rsdirectory.php';
require_once dirname(__FILE__) . '/helper.php';

// Get the most popular entries.
RSDirectoryPopularEntriesHelper::$params = $params;
$entries = RSDirectoryPopularEntriesHelper::getEntries();

if (!$entries) return;

$config = RSDirectoryConfig::getInstance();

// Get the thumbnail width.
$width = $config->get('small_thumbnail_width');

// Get the thumbnail height.
$height = $config->get('small_thumbnail_height');

// Load language.
$lang = JFactory::getLanguage();
$lang->load('com_rsdirectory');

// Get params.
$itemid				= $params->get('itemid');
$display			= $params->get('display');
$display_thumbs		= $params->get('display_thumbs');
$thumb_max_width	= (int)$params->get('thumb_max_width');
$thumb_position 	= $params->get('thumb_position', 'left');
$display_titles 	= $params->get('display_titles');
$display_prices		= $params->get('display_prices');
$display_hits		= $params->get('display_hits');
$max_entries		= $params->get('max_entries', 3);
	
// Ensure that max_entries is a factor of 12.
if (12 % $max_entries != 0) {
	$max_entries = 3;	
}

$span = 12 / $max_entries;

RSDirectoryHelper::loadMedia();
JHtml::_('stylesheet', 'mod_rsdirectory_popular_entries/style.css', array('relative' => true, 'version' => 'auto'));

require JModuleHelper::getLayoutPath('mod_rsdirectory_popular_entries', $params->get('layout', 'default'));