<?php
/**
 * @package RSDirectory!
 * @copyright (C) 2013-2021 www.rsjoomla.com
 * @license GPL, http://www.gnu.org/copyleft/gpl.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');
?>

<div class="rsdir">
	<div class="<?php echo RsdirectoryAdapterGrid::row(); ?>">
		<div class="<?php echo RsdirectoryAdapterGrid::column(12); ?>">
			<form class="rsdir-filter-form" action="<?php echo JRoute::_('index.php?option=com_rsdirectory&task=filters.process'); ?>" method="post">
				<?php if ($params->get('show_categories') && !empty($categories_list)) { ?>
					<?php
						$filter_type = $params->get('filter_type');

						if ($filter_type == 'multiple-choice') {
							RSChosen::create(
								'.rsdir-filtering-categories',
								array(
									'placeholder_text_multiple' => JText::_('MOD_RSDIRECTORY_FILTERING_SELECT_CATEGORIES'),
									'no_results_text' => JText::_('MOD_RSDIRECTORY_FILTERING_NO_RESULTS'),
									'width' =>  '100%'
								)
							);
						}

						$categories_field 			 			= new stdClass();
						$categories_field->name 	 			= 'categories';
						$categories_field->forcename  			= 'categories';
						$categories_field->type 	 			= $filter_type == 'checkbox' ? 'checkboxes' : 'list';
						$categories_field->class 				= $filter_type == 'checkbox' ? 'rsdir-checkbox' : 'rsdir-filtering-categories';
						$categories_field->id 					= 'rsdir-filters-categories';
						$categories_field->has_options  		= true;
						$categories_field->multiple  			= true;
						$categories_field->controlgroupclass  	= 'rsdir-filter rsdir-filter-categories';
						$categories_field->label  	 			= JText::_('MOD_RSDIRECTORY_FILTERING_CATEGORIES_CAPTION');
						$categories_field->values  	 			= RSDirectoryFilteringHelper::outputCategories($categories_list, $filter_type);

						echo RSDirectoryFieldHelper::showCustomField($categories_field);

				} else {
					$category_found = null;
					// after the filtering has been done
					$selected_categories = $jinput->get( 'categories', array(), 'array' );
					if (!empty($selected_categories)) {
						// we only need one
						$category_found = (int) $selected_categories[0];
					}

					// before the filtering is done
					if (!empty($category)) {
						$category_found = (int) $category;
					}

					if (!empty($category_found)) {
						?>
							<input type="hidden" name="categories[]" value="<?php echo RSDirectoryHelper::escapeHTML($category_found); ?>" />
						<?php
					}
				}

				$can_view_all_unpublished_entries = RSDirectoryHelper::checkUserPermission('can_view_all_unpublished_entries');
				$can_view_own_unpublished_entries = RSDirectoryHelper::checkUserPermission('can_view_own_unpublished_entries');
				if ($can_view_all_unpublished_entries || $can_view_own_unpublished_entries) {

					$status_field 					 = new stdClass();
					$status_field->name 			 = 'status';
					$status_field->forcename		 = 'status';
					$status_field->multiple 		 = true;
					$status_field->has_options 		 = true;
					$status_field->type 			 = 'checkboxes';
					$status_field->class 			 = 'rsdir-checkbox-label';
					$status_field->controlgroupclass = 'rsdir-filter rsdir-filter-status';
					$status_field->id 				 = 'rsdir-checkbox-status';
					$status_field->values 			 = array('1|'.JText::_('MOD_RSDIRECTORY_FILTERING_PUBLISHED'), '0|'.JText::_('MOD_RSDIRECTORY_FILTERING_UNPUBLISHED'));
					$status_field->value 			 = $status;
					$status_field->label 			 = JText::_('MOD_RSDIRECTORY_FILTERING_STATUS');

					echo RSDirectoryFieldHelper::showCustomField($status_field);
				}

				if ($fields) {
					foreach($fields as $field) {
						echo RSDirectoryFilter::getInstance($field, $options)->generate();
					}
				}

				if ($show_ratings)
				{
					$ratings_field 					  = new stdClass();
					$ratings_field->name 			  = 'ratings';
					$ratings_field->forcename		  = 'ratings';
					$ratings_field->multiple 		  = true;
					$ratings_field->has_options 	  = true;
					$ratings_field->type 			  = 'checkboxes';
					$ratings_field->controlgroupclass = 'rsdir-filter rsdir-filter-ratings';
					$ratings_field->id 				  = 'rsdir-filter-ratings';
					$ratings_field->value 			  = $ratings;
					$ratings_field->label 			  = JText::_('MOD_RSDIRECTORY_FILTERING_MIN_RATING');
					$ratings_field->values			  = array();

					for ($i = 1; $i <= 5; $i++)
					{
						$stars = str_repeat('<i class="star-on-png"></i> ', $i);
						$ratings_field->values[] = $i.'|'.$stars;
					}

					echo RSDirectoryFieldHelper::showCustomField($ratings_field);
				}
				?>
				<button class="btn btn-primary" type="submit"><?php echo JText::_('MOD_RSDIRECTORY_FILTERING_SUBMIT'); ?></button>
				<button class="btn btn-secondary" type="submit" name="clear_filters" value="1"><?php echo JText::_('MOD_RSDIRECTORY_FILTERING_CLEAR_FILTERS'); ?></button>
				<div>
					<?php echo JHtml::_('form.token') . "\n"; ?>
					<?php echo $itemid ? '<input type="hidden" name="Itemid" value="' . $itemid . '" />' : ''; ?>
					<?php echo $current_view ? '<input type="hidden" name="current_view" value="' . $current_view . '" />' : ''; ?>
					<?php if ($options) { ?>
						<?php foreach ($options as $name => $value) { ?>
						<input class="options" type="hidden" name="<?php echo RSDirectoryHelper::escapeHTML($name); ?>" value="<?php echo RSDirectoryHelper::escapeHTML($value); ?>" />
						<?php } ?>
					<?php } ?>
				</div>
			</form>
		</div><!-- .row-fluid -->
	</div><!-- .row-fluid -->
</div><!-- .rsdir -->