<?php
/**
 * @package RSDirectory!
 * @copyright (C) 2014-2021 www.rsjoomla.com
 * @license GPL, http://www.gnu.org/copyleft/gpl.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');
?>

<div class="rsdir">
	<div class="rsdir-mod-map-search">
		<form id="rsdir-map-search" action="<?php echo htmlspecialchars(JUri::getInstance()->toString()); ?>" method="post">
			<div class="<?php echo (RSDirectoryHelper::isJ4() ? 'input-group mb-2' : 'input-prepend input-append'); ?>">
			<?php
				$search_template = '';
				$cats_dropdown = '';

				if ($params->get('show_categories') && $categories_list)
				{
					if(RSDirectoryHelper::isJ4())
					{
						$search_template .= '<div class="input-group-text p-0"><div class="btn-group m-0"><div class="dropdown">[rsdir-cats-dropdown]</div></div></div>';
					}
					else
					{
						$search_template .= '<div class="btn-group">[rsdir-cats-dropdown]</div>';
					}

					$cats_dropdown = '
					<div id="rsdir_map_mod_cat" aria-expanded="false" class="btn btn-secondary dropdown-toggle" data'.(RSDirectoryHelper::isJ4() ? '-bs' : '').'-toggle="dropdown">
						'. JText::_('MOD_RSDIRECTORY_MAP_SEARCH_ALL_CATEGORIES').' <span class="caret"></span>
					</div>
					<input type="hidden" name="category" value="'.$selected_category.'" />
					<ul class="dropdown-menu" aria-labelledby="rsdir_map_mod_cat">
						<li><a'.(RSDirectoryHelper::isJ4() ? ' class="dropdown-item"' : '').' href="javascript: void(0);" data-value="0" data-text="'.JText::_('MOD_RSDIRECTORY_MAP_SEARCH_ALL_CATEGORIES').'">'.JText::_('MOD_RSDIRECTORY_MAP_SEARCH_ALL_CATEGORIES').'</a></li>
						'.RSDirectoryMapSearchHelper::outputCategoriesList($categories_list).'
					</ul>';
				}
				$search_template .= '[rsdir-search-input]';

				$search_input 				= new stdClass();
				$search_input->name 		= 'q';
				$search_input->forcename  	= 'q';
				$search_input->type 		= 'text';
				$search_input->id 			= 'rsdir_q';
				$search_input->label  		= '';
				$search_input->hint  		= JText::_('MOD_RSDIRECTORY_MAP_SEARCH_PLACEHOLDER');
				$search_input->additional 	= 'autocomplete="off"';

				$search_input = RSDirectoryFieldHelper::showCustomField($search_input, array(), '', true);

				echo str_replace(array('[rsdir-cats-dropdown]', '[rsdir-search-input]'), array($cats_dropdown, $search_input->input), $search_template);

			?>
			</div>

			<div class="<?php echo (RSDirectoryHelper::isJ4() ? 'input-group mb-2' : 'input-prepend input-append'); ?>">
				<?php
					$location_field 			= new stdClass();
					$location_field->name 		= 'location';
					$location_field->forcename  = 'location';
					$location_field->type 		= 'text';
					$location_field->id 		= 'rsdir_location';
					$location_field->value  	= RSDirectoryHelper::escapeHTML($location);
					$location_field->label  	= '';
					$location_field->hint  		= JText::_('COM_RSDIRECTORY_LOCATION');
					$location_field->additional = 'autocomplete="off"';

					$location_field = RSDirectoryFieldHelper::showCustomField($location_field, array(), '', true);

					$radius_field 			 = new stdClass();
					$radius_field->name 	 = 'radius';
					$radius_field->forcename = 'radius';
					$radius_field->type 	 = 'text';
					$radius_field->id 		 = 'rsdir_radius';
					$radius_field->class 	 = !RSDirectoryHelper::isJ4() ? 'input-mini' :'';
					$radius_field->value  	 = RSDirectoryHelper::escapeHTML($radius);
					$radius_field->label  	 = '';
					$radius_field->hint  	 = JText::_('COM_RSDIRECTORY_RADIUS');

					$radius_field = RSDirectoryFieldHelper::showCustomField($radius_field, array(), '', true);

					$units_field 			 	= new stdClass();
					$units_field->name 	 	 	= 'unit';
					$units_field->forcename  	= 'unit';
					$units_field->type 	 	 	= 'list';
					$units_field->id 		 	= 'rsdir_unit';
					$units_field->class 		= !RSDirectoryHelper::isJ4() ? 'input-mini' :'';
					$units_field->value  	 	= RSDirectoryHelper::escapeHTML($default_unit);
					$units_field->has_options  	= true;
					$units_field->label  	 	= '';
					$units_field->values  	 	= array('km' => JText::_('MOD_RSDIRECTORY_MAP_SEARCH_KM'), 'mi' => JText::_('MOD_RSDIRECTORY_MAP_SEARCH_MI'));

					$units_field = RSDirectoryFieldHelper::showCustomField($units_field, array(), '', true);

					$radius_template = '[rsdir-location][rsdir-radius]';

					if (RSDirectoryHelper::isJ4())
					{
						$radius_template .= '<div class="input-group-text p-0">[rsdir-units]</div>';
					}
					else
					{
						$radius_template .= '[rsdir-units]';
					}

					echo str_replace(array('[rsdir-location]', '[rsdir-radius]', '[rsdir-units]'), array($location_field->input, $radius_field->input, $units_field->input), $radius_template);
				?>
			</div>

			<?php if ($show_price_range) { ?>
			<div class="<?php echo (RSDirectoryHelper::isJ4() ? 'input-group mb-2' : 'input-prepend input-append'); ?>">
				<?php
					$min_price 				= new stdClass();
					$min_price->name 		= 'min_price';
					$min_price->forcename   = 'min_price';
					$min_price->type 		= 'text';
					$min_price->id 			= 'rsdir_min_price';
					$min_price->label  		= '';
					$min_price->class  		= !RSDirectoryHelper::isJ4() ? 'input-mini' :'';
					$min_price->hint  		= JText::_('MOD_RSDIRECTORY_MAP_SEARCH_MIN_PRICE');

					$min_price = RSDirectoryFieldHelper::showCustomField($min_price, array(), '', true);

					$max_price 				= new stdClass();
					$max_price->name 		= 'max_price';
					$max_price->forcename   = 'max_price';
					$max_price->type 		= 'text';
					$max_price->id 			= 'rsdir_max_price';
					$max_price->label  		= '';
					$max_price->class  		= !RSDirectoryHelper::isJ4() ? 'input-mini' :'';
					$max_price->hint  		= JText::_('MOD_RSDIRECTORY_MAP_SEARCH_MAX_PRICE');

					$max_price = RSDirectoryFieldHelper::showCustomField($max_price, array(), '', true);

					echo $min_price->input.$max_price->input;
				?>
				<button class="btn btn-primary" type="submit"><?php echo JText::_('COM_RSDIRECTORY_SEARCH'); ?></button>
			</div>
			<?php } else { ?>
				<button class="btn btn-primary" type="submit"><?php echo JText::_('COM_RSDIRECTORY_SEARCH'); ?></button>
			<?php } ?>
			<div>
				<input type="hidden" name="option" value="com_rsdirectory" />
				<input type="hidden" name="task" value="mapsearch.getDataAjax" />
				<?php echo JHtml::_('form.token') . "\n"; ?>
			</div>
		</form>
		<div id="rsdir-map-search-canvas" class="rsdir-map" style="width: <?php echo $params->get('width'); ?>; height: <?php echo $params->get('height', 500); ?>px;"></div>
	</div>
	<?php if ($display_results) { ?>
	<table class="table table-striped" style="display: none;">
		<thead>
		</thead>
		<tbody id="rsdir-map-search-results">
		</tbody>
	</table>
	<?php } ?>
</div><!-- .rsdir -->

<script type="text/javascript">
	var rsdir_map_search_use_geolocation = <?php echo $use_geolocation;?>;

	<?php if ($selected_category > 0) { ?>
		jQuery(document).ready(function(){
			jQuery('#rsdir-map-search').find('ul.dropdown-menu li').each(function(){
				var cat_id = jQuery(this).find('a').data('value');
				if (cat_id == <?php echo $selected_category; ?>) {
					var cat_text = jQuery(this).find('a').data('text');
					jQuery('#rsdir-map-search').find('.dropdown-toggle').html(cat_text+' <span class="caret"></span>');
				}
			});
		});
	<?php } ?>
</script>