<?php
/**
 * @package RSDirectory!
 * @copyright (C) 2013-2021 www.rsjoomla.com
 * @license GPL, http://www.gnu.org/copyleft/gpl.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access'); 

if ($display_titles || $display_prices) {
	$body_class = $thumb_position == 'bottom' && $display_thumbs ? ' body-top' : '';	
?>

<div class="rsdir-newest-entry-body<?php echo $body_class; ?>">
	<?php if ($display_titles) { ?>
	<strong class="rsdir-newest-entry-title">
		<a href="<?php echo $url; ?>">
			<?php echo $title; ?>
		</a>
	</strong>
	<?php } ?>
	
	<?php if ($display_prices) { ?>
	<span class="rsdir-newest-entry-price <?php echo RsdirectoryAdapterGrid::badgeClass('success'); ?>">
	<?php echo RSDirectoryHelper::formatPrice($entry->price); ?>
	</span>
	<?php } ?>
	
	<?php if ($display_authors) { ?>
		<div class="rsdir-newest-entry-author">
			<img class="<?php echo (RSDirectoryHelper::isJ4() ? 'img-thumbnail ' : '');?>thumbnail <?php echo RsdirectoryAdapterGrid::float('left'); ?> media-object" src="http://gravatar.com/avatar/<?php echo hash('md5', $entry->author_email); ?>" alt="<?php echo RSDirectoryHelper::escapeHTML($entry->author); ?>"/>
			<a href="<?php echo RSDirectoryRoute::getUserEntriesURL($entry->user_id, $entry->author); ?>"><?php echo RSDirectoryHelper::escapeHTML($entry->author); ?></a>
		</div>
	<?php } ?>
	
	<?php if ($display_published_time) { ?>
		<div class="rsdir-newest-entry-published-time">
			<i class="fa fa-calendar"></i>
			<?php echo RSDirectoryHelper::formatDate($entry->published_time); ?>
		</div>
	<?php } ?>
	
	<?php if ($display_favourite_buttons) { ?>
		<div class="rsdir-newest-entry-fav-btn" style="text-align: <?php echo $thumb_position == 'right' ? 'left' : 'right'; ?>;">
			<a class="rsdir-entry-fav<?php echo RSDirectoryHelper::isFavorite($entry->id) ? ' rsdir-entry-faved' : ''; ?> btn btn-light" data-entry-id="<?php echo $entry->id; ?>" title="<?php echo JText::_(RSDirectoryHelper::isFavorite($entry->id) ? 'COM_RSDIRECTORY_ENTRY_REMOVE_FROM_FAVORITES' : 'COM_RSDIRECTORY_ENTRY_ADD_TO_FAVORITES'); ?>"><i class="<?php echo RSDirectoryHelper::isFavorite($entry->id) ? 'fa fa-heart' : 'fa fa-heart-o'; ?>"></i></a>
		</div>
	<?php } ?>
</div>
<?php } ?>